<template>
  <div id="app">
    <router-view></router-view>
  </div>
</template>

<script>
export default {
  name: 'app',
  data () {
    return {
      msg: 'Welcome to Your Vue.js App'
    }
  }
}
</script>

<style lang="scss">
body {
  font-family: 16px;
  font-family: 'Montserrat', sans-serif;
  margin: 0;
  padding: 0;
  width: 100vw;
  height: 100vh;

  /* Prevents users from selecting text from the webpage outside of text fields etc */
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed versio */
}
* {
    box-sizing: border-box;
}

textarea:focus, select:focus, input:focus, button:focus {
  outline: none;
}
/* Removes the special Firefox dotted line border on clicked buttons */
button::-moz-focus-inner {
  border: 0;
}

</style>
